---
title: "Get regulatory actions by ID"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc/operations/getRegulatoryActionsById"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc.md

# Get regulatory actions by ID

`GET` `/v1/regulatoryActions/{id}`

Operation ID: `getRegulatoryActionsById`

Retrieves a single regulatory actions record using its unique regulatory actions ID.

## Path parameters

- `id` (integer, required) - Unique regulatory actions ID

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.85.1
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v1/regulatoryActions/{id}:
    get:
      tags:
        - Producer Regulatory Actions
      operationId: getRegulatoryActionsById
      summary: Get regulatory actions by ID
      description: >
        Retrieves a single regulatory actions record using its unique regulatory
        actions ID.
      parameters:
        - name: id
          in: path
          description: Unique regulatory actions ID
          required: true
          schema:
            type: integer
      responses:
        "200":
          description: Success
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/RegulatoryActionsV1"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  schemas:
    RegulatoryActionsV1:
      allOf:
        - $ref: "#/components/schemas/RegulatoryActionsBaseResponse"
        - type: object
          properties:
            regulatoryActionValues:
              $ref: "#/components/schemas/RegulatoryActionValuesV1"
            niprDeleted:
              type: boolean
              example: false
              description: Indicates if the regulatory actions was marked deleted by NIPR.
            links:
              $ref: "#/components/schemas/SelfLink"
    RegulatoryActionsBaseResponse:
      type: object
      description: Common regulatory actions fields shared across versions.
      properties:
        id:
          type: integer
          format: int64
          example: 1234567
          description: Unique identifier for the regulatory actions.
        npn:
          type: string
          example: "18551108"
          description: National Producer Number associated with the regulatory actions.
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        forState:
          type: string
          example: AL
          minLength: 2
          maxLength: 2
          description: State where the regulatory action applies.
        actionId:
          type: string
          example: "13537078"
          description: Identification of the regulatory action.
        actionDate:
          type: string
          format: date
          example: 2017-07-10
          description: The date the regulatory action occurred.
        effectiveDate:
          type: string
          format: date
          example: 2017-07-10
          description: The date the regulatory action is effective
        enterDate:
          type: string
          format: date
          example: 2018-02-08
          description: The date the regulatory action was entered in the jurisdiction
            system.
        createdAt:
          type: string
          format: date
          example: 2021-04-04
          description: Date of the creation of this record in AgentSync.
        updatedAt:
          type: string
          format: date
          example: 2024-12-02
          description: Date of the most recent update to this record in AgentSync.
        penaltyFineForfeiture:
          type: integer
          example: 150
          description: Amount in USD of fine, if applicable.
        lengthOfOrder:
          type: integer
          example: 30
          description: The sanction period.
    RegulatoryActionValuesV1:
      allOf:
        - $ref: "#/components/schemas/RegulatoryActionValuesBase"
        - type: object
          properties:
            metadata:
              type: object
              properties:
                last_nipr_alert_updated:
                  type: string
                last_nipr_entity_update:
                  type: string
            deleted:
              type: boolean
              example: true
    SelfLink:
      type: object
      properties:
        self:
          type: object
          properties:
            href:
              type: string
              example: https://api.sandbox.agentsync.io/v1/{endpoint}/{id}
    RegulatoryActionValuesBase:
      type: object
      description: All regulatory actions should have three associated child objects -
        disposition, origin, and reason
      properties:
        id:
          type: integer
          example: 123
          description: Unique identifier for the regulatory action value.
        regulatoryActionId:
          type: integer
          example: 1234567
          description: Unique identifier for the related regulatory action.
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        type:
          type: string
          enum:
            - REASON
            - ORIGIN
            - DISPOSITION
          example: DISPOSITION
          description: One of the following values is expected per object - `REASON`,
            `ORIGIN`, `DISPOSITION`
        value:
          type: string
          example: Cease And Desist
          description: Description of the related regulatory action
        createdAt:
          type: string
          format: date
          example: 2021-03-23
          description: Date of the creation of this record in AgentSync.
        updatedAt:
          type: string
          format: date
          example: 2024-04-16
          description: Date of the most recent update to this record in AgentSync
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
